Bug 1100672 - Cargo/Rustc fails on tumbleweed container
Cargo/Rustc fails on tumbleweed container
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Luke Jones
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-10 00:40 UTC by William Brown
Modified: 2018-11-14 08:31 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
luke: needinfo? (william.brown)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Brown 2018-07-10 00:40:18 UTC
error: process didn't exit successfully: `rustc -vV` (exit code: 101)
--- stdout
rustc 1.26.2
binary: rustc
commit-hash: unknown
commit-date: unknown
host: x86_64-unknown-linux-gnu
release: 1.26.2

--- stderr
error: failed to find a `codegen-backends` folder in the sysroot candidates:
* /usr
* /usr


rust-1.26.2-1.2.x86_64
cargo-0.27.0-1.2.x86_64

This prevents cargo/rustc from being functional, so is a severe issue. I would assume a dependency is missing.
Comment 1 William Brown 2018-07-10 03:37:36 UTC
Apparently this may be due to a missing rust-std dep in cargo or rust.
Comment 2 Luke Jones 2018-11-02 04:54:03 UTC
The compiler itself is able to be used for bare-metal programming, and so doesn't require the rust-std to be installed. rust-std is a "recommends" package due to this.

Can you confirm that
$rustc -V
works fine please?
Comment 3 Luke Jones 2018-11-14 08:31:58 UTC
Some libs were missing from the main rust compiler only package. Fixed with version 1.30.0 packaging.